Package org.apache.ignite.thread

## Class IgniteThreadFactory

- java.lang.Object
- - org.apache.ignite.thread.IgniteThreadFactory

- All Implemented Interfaces:
    `ThreadFactory`

      public class IgniteThreadFactory
      extends Object
      implements ThreadFactory

  This class provides implementation of `ThreadFactory` factory for creating grid threads.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteThreadFactory​(String igniteInstanceName, String threadName)` | Constructs new thread factory for given grid.
    `IgniteThreadFactory​(String igniteInstanceName, String threadName, byte plc, Thread.UncaughtExceptionHandler eHnd)` | Constructs new thread factory for given grid.
    `IgniteThreadFactory​(String igniteInstanceName, String threadName, Thread.UncaughtExceptionHandler eHnd)` | Constructs new thread factory for given grid.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Thread` | `newThread​(@NotNull Runnable r)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteThreadFactory

          public IgniteThreadFactory​(String igniteInstanceName,
                                     String threadName)

      Constructs new thread factory for given grid. All threads will belong to the same default thread group.
      Parameters:
        `igniteInstanceName` - Ignite instance name.
        `threadName` - Thread name.

    - #### IgniteThreadFactory

          public IgniteThreadFactory​(String igniteInstanceName,
                                     String threadName,
                                     Thread.UncaughtExceptionHandler eHnd)

      Constructs new thread factory for given grid. All threads will belong to the same default thread group.
      Parameters:
        `igniteInstanceName` - Ignite instance name.
        `threadName` - Thread name.
        `eHnd` - Uncaught exception handler.

    - #### IgniteThreadFactory

          public IgniteThreadFactory​(String igniteInstanceName,
                                     String threadName,
                                     byte plc,
                                     Thread.UncaughtExceptionHandler eHnd)

      Constructs new thread factory for given grid. All threads will belong to the same default thread group.
      Parameters:
        `igniteInstanceName` - Ignite instance name.
        `threadName` - Thread name.
        `plc` - `GridIoPolicy` for thread pool.
        `eHnd` - Uncaught exception handler.

  - ### Method Detail

    - #### newThread

          public Thread newThread​(@NotNull
                                  @NotNull Runnable r)

      Specified by:
        `newThread` in interface `ThreadFactory`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`